Subject: bug#75067: 29.3; randomly unresponsive while typing

From: Stefan Kangas <[email-masked]>
Date: Sat, 1 Mar 2025 20:24:36 -0800

Devon Sean McCullough <[email-masked]> writes:

> Merry Solstice!
>
> I would like to know what happened
> which led to an unresponsive emacs
> burning 100% CPU, fans roaring.

[...]

> P.P.S.  It eventually stopped:
> Debugger entered--Lisp error: (invalid-regexp "Regular expression too big")
>   (all-completions #("https" 0 5 (fontified nil)) [## route-program
>   org-element-paragraph-separate calendar-forward-week

Hmm, I think we need more details here to know what happened.

Are you able to reproduce this?

>   tramp-sudoedit-file-name-handler ANG bibtex-entry-right-delimiter
>   py-backward-def org-indent-drawer Reduce\ To:\ to\ Cc:
>   ert-test-passed-duration--cmacro c-electric-lt-gt :neither SUTUH
>   gnus-article-nndoc-name org-export-before-processing-functions
>   hs-hide-comments-when-hiding-all erc-toggle-timestamps
>   gnus-mime-security-details-buffer gnus-agent-group-covered-p
>   org-table--descriptor-line edebug-mode-on-hook message-expand-name-databases
>   ANY py-execute-region-jython nnoo-map-functions gnus-try-warping-via-registry
>   DOLIST kmacro-pop-ring1 org-switch-to-buffer-other-window
>   py-execute-region-python erc-track-showcount py-copy-if-block
>   org-table-get-range vc-bzr-shelve-menu SAIL widget-face-sample-face-get
>   nnimap-status-message gnus-summary-limit-to-marks kmacro-p
>   symbol-before-point-for-complete py-beginning-of-block article-fill-long-lines
>   smime-buffer-as-string-region org-get-org-file pyflakes org-at-keyword-p
>   Parsing\ HTML/XML bibtex-text-in-string ! ...] #f(compiled-function (sym)
>  #<bytecode 0x5b74db95d1ece59>))
>   (complete-with-action t [## route-program org-element-paragraph-separate
>   calendar-forward-week tramp-sudoedit-file-name-handler ANG
>   bibtex-entry-right-delimiter py-backward-def org-indent-drawer Reduce\ To:\
>   to\ Cc: ert-test-passed-duration--cmacro c-electric-lt-gt :neither SUTUH
>   gnus-article-nndoc-name org-export-before-processing-functions
>   hs-hide-comments-when-hiding-all erc-toggle-timestamps
>   gnus-mime-security-details-buffer gnus-agent-group-covered-p
>   org-table--descriptor-line edebug-mode-on-hook message-expand-name-databases
>   ANY py-execute-region-jython nnoo-map-functions gnus-try-warping-via-registry
>   DOLIST kmacro-pop-ring1 org-switch-to-buffer-other-window
>   py-execute-region-python erc-track-showcount py-copy-if-block
>   org-table-get-range vc-bzr-shelve-menu SAIL widget-face-sample-face-get
>   nnimap-status-message gnus-summary-limit-to-marks kmacro-p
>   symbol-before-point-for-complete py-beginning-of-block article-fill-long-lines
>   smime-buffer-as-string-region org-get-org-file pyflakes org-at-keyword-p
>   Parsing\ HTML/XML bibtex-text-in-string ! ...] #("https" 0 5 (fontified nil))
>   #f(compiled-function (sym) #<bytecode 0x5b74db95d1ece59>))
>   (#f(compiled-function (string pred action) #<bytecode 0xc787ec5206d5d27>)
>   #("https" 0 5 (fontified nil)) #f(compiled-function (sym) #<bytecode
>  0x128580ad3b6418a9>) t)
>   (all-completions #("https" 0 5 (fontified nil)) #f(compiled-function (string
>   pred action) #<bytecode 0xc787ec5206d5d27>) #f(compiled-function (sym)
>  #<bytecode 0x128580ad3b6418a9>))
>   (completion-pcm--all-completions "" (#("https" 0 5 (fontified nil)) any #(":"
>   0 1 (fontified nil)) any #("/" 0 1 (fontified nil)) any #("/" 0 1 (fontified
>   nil)) any-delim #("www" 0 3 (fontified nil)) any #("." 0 1 (fontified nil))
>   any-delim #("youtube" 0 7 (fontified nil)) any #("." 0 1 (fontified nil))
>   any-delim #("com" 0 3 (fontified nil)) any #("/" 0 1 (fontified nil))
>   any-delim #("watch?v=" 0 8 (fontified nil)) any #("_" 0 1 (fontified nil))
>   any-delim #("jyXxv5aHQg\n\nhttps" 0 9 (fontified nil) 9 10 (rear-nonsticky t
>   fontified nil) 10 17 (fontified nil)) any #(":" 0 1 (fontified nil)) any #("/"
>   0 1 (fontified nil)) any #("/" 0 1 (fontified nil)) any-delim #("youtu" 0 5
>   (fontified nil)) any #("." 0 1 (fontified nil)) any-delim #("be" 0 2
>   (fontified nil)) any #("/" 0 1 (fontified nil)) any #("_" 0 1 (fontified nil))
>   any-delim #("jyXxv5aHQg?t=4769\11{goes" 0 16 (fontified nil) 16 17
>   (rear-nonsticky t fontified nil) 17 23 (fontified nil)) any #(" " 0 1
>   (fontified nil)) any-delim #("silent}\n\n2024x27n\11order" 0 23 (fontified
>   nil)) any #(" " 0 1 (fontified nil)) any-delim ...) #f(compiled-function
>   (string pred action) #<bytecode 0xc787ec5206d5d27>) #f(compiled-function (sym)
>   #<bytecode 0x128580ad3b6418a9>))
>   (completion-pcm--find-all-completions
>   #("https://www.youtube.com/watch?v=_jyXxv5aHQg\n\nhttps..." 0 42 (fontified
>   nil) 42 43 (rear-nonsticky t fontified nil) 43 79 (fontified nil) 79 80
>   (rear-nonsticky t fontified nil) 80 262 (fontified nil) 262 263 (fontified nil
>   rear-nonsticky t) 263 461 (fontified nil) 461 462 (rear-nonsticky t fontified
>   nil) 462 599 (fontified nil) 599 600 (fontified nil rear-nonsticky t) 600 693
>   (fontified nil) 693 694 (fontified nil rear-nonsticky t) 694 720 (fontified
>   nil) 720 721 (fontified nil rear-nonsticky t) 721 723 (fontified nil) 723 733
>   (face font-lock-string-face fontified nil) ...) #f(compiled-function (string
>   pred action) #<bytecode 0xc787ec5206d5d27>) #f(compiled-function (sym)
>   #<bytecode 0x128580ad3b6418a9>) 55834 nil)
>   (completion-pcm-try-completion
>   #("https://www.youtube.com/watch?v=_jyXxv5aHQg\n\nhttps..." 0 42 (fontified
>   nil) 42 43 (rear-nonsticky t fontified nil) 43 79 (fontified nil) 79 80
>   (rear-nonsticky t fontified nil) 80 262 (fontified nil) 262 263 (fontified nil
>   rear-nonsticky t) 263 461 (fontified nil) 461 462 (rear-nonsticky t fontified
>   nil) 462 599 (fontified nil) 599 600 (fontified nil rear-nonsticky t) 600 693
>   (fontified nil) 693 694 (fontified nil rear-nonsticky t) 694 720 (fontified
>   nil) 720 721 (fontified nil rear-nonsticky t) 721 723 (fontified nil) 723 733
>   (face font-lock-string-face fontified nil) ...) #f(compiled-function (string
>   pred action) #<bytecode 0xc787ec5206d5d27>) #f(compiled-function (sym)
>   #<bytecode 0x128580ad3b6418a9>) 55834)
>   (#f(compiled-function (style) #<bytecode 0x16b4d5de6cc40c6f>)
>   partial-completion)
>   (completion--some #f(compiled-function (style) #<bytecode 0x16b4d5de6cc40c6f>)
>  (basic partial-completion emacs22))
>   (completion--nth-completion 1
>   #("https://www.youtube.com/watch?v=_jyXxv5aHQg\n\nhttps..." 0 42 (fontified
>   nil) 42 43 (rear-nonsticky t fontified nil) 43 79 (fontified nil) 79 80
>   (rear-nonsticky t fontified nil) 80 262 (fontified nil) 262 263 (fontified nil
>   rear-nonsticky t) 263 461 (fontified nil) 461 462 (rear-nonsticky t fontified
>   nil) 462 599 (fontified nil) 599 600 (fontified nil rear-nonsticky t) 600 693
>   (fontified nil) 693 694 (fontified nil rear-nonsticky t) 694 720 (fontified
>   nil) 720 721 (fontified nil rear-nonsticky t) 721 723 (fontified nil) 723 733
>   (face font-lock-string-face fontified nil) ...) #f(compiled-function (string
>   pred action) #<bytecode 0xc787ec5206d5d27>) #f(compiled-function (sym)
>   #<bytecode 0x128580ad3b6418a9>) 55834 (metadata (affixation-function
>   . read-extended-command--affixation) (category . command)))
>   (completion-try-completion
>   #("https://www.youtube.com/watch?v=_jyXxv5aHQg\n\nhttps..." 0 42 (fontified
>   nil) 42 43 (rear-nonsticky t fontified nil) 43 79 (fontified nil) 79 80
>   (rear-nonsticky t fontified nil) 80 262 (fontified nil) 262 263 (fontified nil
>   rear-nonsticky t) 263 461 (fontified nil) 461 462 (rear-nonsticky t fontified
>   nil) 462 599 (fontified nil) 599 600 (fontified nil rear-nonsticky t) 600 693
>   (fontified nil) 693 694 (fontified nil rear-nonsticky t) 694 720 (fontified
>   nil) 720 721 (fontified nil rear-nonsticky t) 721 723 (fontified nil) 723 733
>   (face font-lock-string-face fontified nil) ...) #f(compiled-function (string
>   pred action) #<bytecode 0xc787ec5206d5d27>) #f(compiled-function (sym)
>   #<bytecode 0x128580ad3b6418a9>) 55834 (metadata (affixation-function
>   . read-extended-command--affixation) (category . command)))
>   (completion--do-completion #<marker at 1 in  *Minibuf-1*> 55835)
>   (completion--in-region-1 #<marker at 1 in  *Minibuf-1*> 55835)
>   (#f(compiled-function (start end collection predicate) #<bytecode
>   -0xcde98cef52f7030>) #<marker at 1 in  *Minibuf-1*> 55835 #f(compiled-function
>   (string pred action) #<bytecode 0xc787ec5206d5d27>) #f(compiled-function (sym)
>  #<bytecode 0x128580ad3b6418a9>))
>   (apply #f(compiled-function (start end collection predicate) #<bytecode
>   -0xcde98cef52f7030>) (#<marker at 1 in  *Minibuf-1*> 55835
>   #f(compiled-function (string pred action) #<bytecode 0xc787ec5206d5d27>)
>   #f(compiled-function (sym) #<bytecode 0x128580ad3b6418a9>)))
>   (#f(compiled-function (funs global args) #<bytecode -0x1b9a2fd66e6f922>) nil
>   nil (#<marker at 1 in  *Minibuf-1*> 55835 #f(compiled-function (string pred
>   action) #<bytecode 0xc787ec5206d5d27>) #f(compiled-function (sym) #<bytecode
>  0x128580ad3b6418a9>)))
>   (completion--in-region #<marker at 1 in  *Minibuf-1*> 55835
>   #f(compiled-function (string pred action) #<bytecode 0xc787ec5206d5d27>)
>   #f(compiled-function (sym) #<bytecode 0x128580ad3b6418a9>))
>   (completion-in-region #<marker at 1 in  *Minibuf-1*> 55835
>   #f(compiled-function (string pred action) #<bytecode 0xc787ec5206d5d27>)
>   #f(compiled-function (sym) #<bytecode 0x128580ad3b6418a9>))
>   (#f(compiled-function () (interactive nil) #<bytecode 0x1c58a1a1743c49cf>))
>   (funcall-interactively #f(compiled-function () (interactive nil) #<bytecode
>  0x1c58a1a1743c49cf>))
>   (call-interactively #f(compiled-function () (interactive nil) #<bytecode
>  0x1c58a1a1743c49cf>) nil nil)
>   (command-execute #f(compiled-function () (interactive nil) #<bytecode
>   0x1c58a1a1743c49cf>))